#
# spec file for package statserial (Version 1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           statserial
URL:            http://ca.geocities.com/jefftranter@rogers.com/
License:        GPL
Group:          Hardware/Other
Provides:       statseri
Autoreqprov:    on
Version:        1.1
Release:        589.1
Summary:        Helps to Debug Serial Lines
Source:         ftp://metalab.unc.edu/pub/Linux/system/serial/statserial-%{version}.tar.gz
Patch:          statserial-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      statseri

%description
Statserial displays a table of the signals on a standard 9-pin or
25-pin serial port and indicates the status of the handshaking lines. 
It can be useful for debugging problems with serial ports or modems.



Authors:
--------
    Jeff Tranter <Jeff_Tranter@Mitel.COM>

%debug_package
%prep
%setup -n statserial-1.1
%patch

%build
make

%install
install -d -m 755 ${RPM_BUILD_ROOT}/usr/bin 
install -d -m 755 ${RPM_BUILD_ROOT}/%{_mandir}/man1
make install DESTDIR=${RPM_BUILD_ROOT}
install -m 755 phone_log ${RPM_BUILD_ROOT}/usr/bin

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc README ChangeLog
/usr/bin/*
%doc /usr/share/man/man1/statserial.1.gz

%changelog -n statserial
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 - dmueller@suse.de
- don't build as root
* Mon Jun 21 2004 - ro@suse.de
- use -static instead of -N
* Wed Nov 29 2000 - smid@suse.cz
- renamed: statseri => statserial
* Thu May 04 2000 - smid@suse.de
- buildroot added
* Fri Mar 03 2000 - uli@suse.de
- moved man page to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - uli@suse.de
- new package, version 1.1
